<?php
/*
Plugin Name: Redirect Generated Pages
Plugin URI: https://github.com/flavienkreidi/wordpress-redirect-generated-pages
GitHub Plugin URI: https://github.com/flavienkreidi/wordpress-redirect-generated-pages
Description: Cette extension génère une redirection 301 vers l'accueil pour les pages générées par WordPress.
Author: Flavien KREIDI
Author URI: https://flavienkreidi.design
Version: 2.2.1
*/

if (!defined('ABSPATH')) exit;

add_action('template_redirect', 'redirect_wp_generated_pages');

function redirect_wp_generated_pages() {
    global $wp_query;

    if ( is_author() || is_category() || is_tag() || is_date() ) {
        wp_redirect(get_option('home'), 301);
        exit;
    }
}
